Skip to main content
GET
/
v1
/
plans
/
{plan}
Get a recurring plan
curl --request GET \
  --url https://api.givebutter.com/v1/plans/{plan} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.givebutter.com/v1/plans/{plan}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.givebutter.com/v1/plans/{plan}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "contact_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "frequency": "<string>",
  "status": "<string>",
  "method": "<string>",
  "amount": "<string>",
  "fee_covered": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "start_at": "<string>",
  "canceled_at": "<string>",
  "next_bill_date": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

plan
string | null
required

The plan uid

Query Parameters

first_name
string
Maximum string length: 255
last_name
string
Maximum string length: 255
email
string
amount
string

Response

RecurringPlanResource

id
string
required
contact_id
string
required
first_name
string
required
last_name
string
required
email
string
required
phone
string
required
frequency
string
required
status
string
required
method
string
required
amount
string
required
fee_covered
string
required
created_at
string
required
updated_at
string
required
start_at
string
required
canceled_at
string
required
next_bill_date
string
required